import { Socket } from './interfaces/Socket';
export declare class Client implements Socket {
    port: number;
    private server;
    private tls;
    private socket;
    constructor(port: number, server: string, tls?: boolean);
    hook(name: any, args: any): Socket;
    unhook(name: any): Socket;
    on(type: "error" | "close", f: (e?: any) => void): Socket;
    destroy(): void;
    close(): void;
    call(rpcname: string, ...args: any[]): Promise<any>;
    fire(rpcname: string, ...args: any[]): Promise<any>;
    connect(): Promise<void>;
    info(): Promise<any>;
    private callGenerator;
    private hookGenerator;
    private unhookGenerator;
}
