"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* Responses */
class Response {
    constructor(message) {
        this.message = message;
    }
}
exports.Response = Response;
class SuccessResponse extends Response {
    constructor(message) {
        super(message);
        this.result = "Success";
    }
}
exports.SuccessResponse = SuccessResponse;
class ErrorResponse extends Response {
    constructor(message = "Unknown error") {
        super(message);
        this.result = "Error";
    }
}
exports.ErrorResponse = ErrorResponse;
class SubscriptionResponse extends SuccessResponse {
    constructor(uid, message) {
        super(message);
        this.uid = uid;
    }
}
exports.SubscriptionResponse = SubscriptionResponse;
