import { OnFunction } from "../Types";
export interface Socket {
    port: number;
    hook: (rpcname: string, ...args: any[]) => Socket;
    unhook: (rpcname: string) => Socket;
    call: (rpcname: string, ...args: any[]) => Promise<any>;
    fire: (rpcname: string, ...args: any[]) => Promise<any>;
    on: OnFunction;
    destroy: () => void;
    close: () => void;
}
